
From: Adrian Bunk <bunk@stusta.de>

There are currently two different boot_cpu_logical_apicid variables:
- a global one in mpparse.c
- a static one in smpboot.c

Of these two, only the one in smpboot.c might be used (through 
boot_cpu_apicid).

This patch therefore removes the one in mpparse.c .

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrey Panin <pazke@donpac.ru>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/i386/kernel/mpparse.c     |    2 --
 arch/i386/mach-visws/mpparse.c |    5 +----
 2 files changed, 1 insertion(+), 6 deletions(-)

diff -puN arch/i386/kernel/mpparse.c~i386-cleanup-boot_cpu_logical_apicid-variables arch/i386/kernel/mpparse.c
--- 25/arch/i386/kernel/mpparse.c~i386-cleanup-boot_cpu_logical_apicid-variables	2005-05-02 18:43:02.000000000 -0700
+++ 25-akpm/arch/i386/kernel/mpparse.c	2005-05-02 18:43:02.000000000 -0700
@@ -67,7 +67,6 @@ unsigned long mp_lapic_addr;
 
 /* Processor that is doing the boot up */
 unsigned int boot_cpu_physical_apicid = -1U;
-unsigned int boot_cpu_logical_apicid = -1U;
 /* Internal processor count */
 static unsigned int __initdata num_processors;
 
@@ -180,7 +179,6 @@ static void __init MP_processor_info (st
 	if (m->mpc_cpuflag & CPU_BOOTPROCESSOR) {
 		Dprintk("    Bootup CPU\n");
 		boot_cpu_physical_apicid = m->mpc_apicid;
-		boot_cpu_logical_apicid = apicid;
 	}
 
 	if (num_processors >= NR_CPUS) {
diff -puN arch/i386/mach-visws/mpparse.c~i386-cleanup-boot_cpu_logical_apicid-variables arch/i386/mach-visws/mpparse.c
--- 25/arch/i386/mach-visws/mpparse.c~i386-cleanup-boot_cpu_logical_apicid-variables	2005-05-02 18:43:02.000000000 -0700
+++ 25-akpm/arch/i386/mach-visws/mpparse.c	2005-05-02 18:43:02.000000000 -0700
@@ -23,7 +23,6 @@ unsigned long mp_lapic_addr;
 
 /* Processor that is doing the boot up */
 unsigned int boot_cpu_physical_apicid = -1U;
-unsigned int boot_cpu_logical_apicid = -1U;
 
 /* Bitmask of physically existing CPUs */
 physid_mask_t phys_cpu_present_map;
@@ -52,10 +51,8 @@ static void __init MP_processor_info (st
 		(m->mpc_cpufeature & CPU_MODEL_MASK) >> 4,
 		m->mpc_apicver);
 
-	if (m->mpc_cpuflag & CPU_BOOTPROCESSOR) {
+	if (m->mpc_cpuflag & CPU_BOOTPROCESSOR)
 		boot_cpu_physical_apicid = m->mpc_apicid;
-		boot_cpu_logical_apicid = logical_apicid;
-	}
 
 	ver = m->mpc_apicver;
 	if ((ver >= 0x14 && m->mpc_apicid >= 0xff) || m->mpc_apicid >= 0xf) {
_
